import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'activityMoneyStatus',
  standalone: true
})
export class ActivityMoneyPipe implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 0:
        return '不可用';
      case 1:
        return '未发放';
      case 2:
        return '已发放';
      default:
        return '未知';
    }
  }

}

@Pipe({
  name: 'allocationStatus',
  standalone: true
})
export class AllocationStatus implements PipeTransform {

  transform(statusNum: number): string {
    switch (statusNum) {
      case 0:
        return '不可用';
      case 1:
        return '正常';
      case 2:
        return '冻结';
      default:
        return '未知';
    }
  }

}
